./converters/rpm2cpio, Convert .rpm files for extraction with cpio, needs just perl

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.3nb2, Package name: rpm2cpio-1.3nb2, Maintainer: pkgsrc-users

Convert .rpm files for extraction with /usr/bin/cpio

Quoting the author:

why does the world need another rpm2cpio? because the existing one
won't build unless you have half a ton of things that aren't really
required for it, since it uses the same library used to extract RPM's.
in particular, it won't build on the HPsUX box i'm on.

(this one needs just perl)


Required to run:
[lang/perl5]

Master sites:

SHA1: 7bd6e848eed9444a4dacf9759cc195ca56ab19b2
RMD160: b5ab39d33e9e0ccf7c277f27017597b492c69c86
Filesize: 2.972 KB

Version history: (Expand)


CVS history: (Expand)


   2016-07-09 08:39:18 by Thomas Klausner | Files touched by this commit (1068) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.
   2015-11-03 02:43:56 by Alistair G. Crooks | Files touched by this commit (120)
Log message:
Add SHA512 digests for distfiles for converters category

Problems found with existing distfile:
	distfiles/libiconv-1.13-cp932.patch.gz
No changes made to the libiconv distinfo file.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-02-27 22:30:50 by Tobias Nygren | Files touched by this commit (2)
Log message:
Master site is gone (for 10+ years?), but FreeBSD maintains a
local copy of this utility so switch to their version.
Changes:
Now actually works with current generation fedora rpms.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.
   2013-05-31 14:42:58 by Thomas Klausner | Files touched by this commit (2880)
Log message:
Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.
   2012-10-03 23:59:10 by Thomas Klausner | Files touched by this commit (2798)
Log message:
Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.
   2012-10-03 02:20:19 by Aleksej Saushev | Files touched by this commit (97)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.